package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 系统配置表
 */
@Table(name = "PQS_SYSSET")
public class SysSet {

    @Id
    @Column(name = "SYSSET_INDEX")
    private String sysSetIndex;

    //密码有效期
    @Column(name = "LIMIT_DATE")
    private Integer limitDate;

    //密码错误次数(10次)
    @Column(name = "LIMIT_TIMES")
    private Integer limitTimes;

    //最大并发数
    @Column(name = "LIMIT_NUMBER")
    private Integer limitNumber;

    @Column(name = "LIMIT_IDLE")
    private Integer limitIdle;//	Number(2)	Not NULL	闲置用户_修改密码（月）

    @Column(name = "LIMIT_LOGOUT")
    private Integer limitLogout;//	Number(2)	Not NULL	闲置用户_注销（月）

    @Column(name = "STATE")
    private Integer state;//	Number(1)	Not NULL	数据状态（0：删除；1：正常）

    @Column(name = "USER_INDEX")
    private String userIndex;//	Varchar2 (36)	Not NULL	（关联表PQS_User）用户表Guid

    @Column(name = "UPDATETIME")
    private Date updatetime;//	Datetime	Not NULL	更新时间


    @Column(name = "CASUALUSER_TIME")
    private Integer casualUserTime;//	Number(2)	Not NULL	临时闲置用户_注销（月）

    @Column(name = "LOGOUT_TIME")
    private Integer logOutTime;//	Number(2)	Not NULL	休眠转注销的时间差

    @Column(name = "LOG_SIZE")
    private Integer logSize;//	Number(2)	Not NULL	日志大小

    @Column(name = "LOCK_TIME")
    private Integer lockTime; //Number(2) Not NULL 用户锁定时长

    public Integer getLockTime() {
        return lockTime;
    }

    public void setLockTime(Integer lockTime) {
        this.lockTime = lockTime;
    }

    public String getSysSetIndex() {
        return sysSetIndex;
    }

    public void setSysSetIndex(String sysSetIndex) {
        this.sysSetIndex = sysSetIndex;
    }

    public Integer getLimitDate() {
        return limitDate;
    }

    public void setLimitDate(Integer limitDate) {
        this.limitDate = limitDate;
    }

    public Integer getLimitTimes() {
        return limitTimes;
    }

    public void setLimitTimes(Integer limitTimes) {
        this.limitTimes = limitTimes;
    }

    public Integer getLimitNumber() {
        return limitNumber;
    }

    public void setLimitNumber(Integer limitNumber) {
        this.limitNumber = limitNumber;
    }

    public Integer getLimitIdle() {
        return limitIdle;
    }

    public void setLimitIdle(Integer limitIdle) {
        this.limitIdle = limitIdle;
    }

    public Integer getLimitLogout() {
        return limitLogout;
    }

    public void setLimitLogout(Integer limitLogout) {
        this.limitLogout = limitLogout;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public Integer getCasualUserTime() {
        return casualUserTime;
    }

    public void setCasualUserTime(Integer casualUserTime) {
        this.casualUserTime = casualUserTime;
    }

    public Integer getLogOutTime() {
        return logOutTime;
    }

    public void setLogOutTime(Integer logOutTime) {
        this.logOutTime = logOutTime;
    }

    public Integer getLogSize() {
        return logSize;
    }

    public void setLogSize(Integer logSize) {
        this.logSize = logSize;
    }

    @Override
    public String toString() {
        return "SysSet{" +
                "sysSetIndex='" + sysSetIndex + '\'' +
                ", limitDate=" + limitDate +
                ", limitTimes=" + limitTimes +
                ", limitNumber=" + limitNumber +
                ", limitIdle=" + limitIdle +
                ", limitLogout=" + limitLogout +
                ", state=" + state +
                ", userIndex='" + userIndex + '\'' +
                ", updatetime=" + updatetime +
                ", casualUserTime=" + casualUserTime +
                ", logOutTime=" + logOutTime +
                ", logSize=" + logSize +
                ", lockTime=" + lockTime +
                '}';
    }
}
